<?php
$_db_migration_to = '25.08'; // 7.4.4
if (!isset($migrations) || !is_object($migrations))
	die("This file cannot be executed directly");
$migrations->CheckValid($_db_migration_to);
//===========================================================================================



$migrations->Run('05_add_frozen_until.php', <<<'DB_UPDATE_FILE'
<?php
/** @var \Claromentis\Setup\SetupFacade $migrations */
$db = $migrations->GetDb();

//$db->query("UPDATE users SET login_frozen_time=0");
//$db->AlterColumn("users", "login_frozen_time", "login_frozen_time", "INT NOT_NULL DEFAULT 0");
$db->AddColumn("users", "login_frozen_until", "INT NOT_NULL DEFAULT 0");

DB_UPDATE_FILE
);


//===========================================================================================
$migrations->SetVersion('25.08');
